Bug 1305481 - mkdumprd fails on RHEV hosts with running VMs
mkdumprd fails on RHEV hosts with running VMs
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools (Show other bugs)
All Linux
urgent Severity high
: rc
: ---
Assigned To: kdump team
Virtualization Bugs
: ZStream
Depends On: 1283191
  Show dependency treegraph
Reported: 2016-02-08 06:45 EST by Marcel Kolaja
Modified: 2016-03-22 11:28 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1283191
Last Closed: 2016-03-22 11:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1571553 None None None 2016-02-08 06:45 EST

  None (edit)
Description Marcel Kolaja 2016-02-08 06:45:28 EST
This bug has been copied from bug #1283191 and has been proposed
to be backported to 6.7 z-stream (EUS).
Comment 4 Guo, Zhiyi 2016-03-03 02:51:52 EST
[root@dhcp-11-59 ~]# cat /etc/kdump.conf 
path /var/crash
core_collector makedumpfile -c --message-level 1 -d 31

[root@dhcp-11-59 ~]# ifconfig | egrep -v ^\ \|^$\|^vlan\|^eth1\.\|^lo
eth0      Link encap:Ethernet  HWaddr 24:BE:05:14:95:16  
switch    Link encap:Ethernet  HWaddr 24:BE:05:14:95:16  
virbr0    Link encap:Ethernet  HWaddr 52:54:00:AC:E6:AF  
vnet0     Link encap:Ethernet  HWaddr FE:54:00:89:7D:71

Reproduce the bug on 6.7.z stream
qemu: qemu-kvm-rhev-

[root@dhcp-11-59 etc]# service kdump restart
Stopping kdump:                                            [  OK  ]
Detected change(s) the following file(s):

Rebuilding /boot/initrd-2.6.32-573.20.1.el6.x86_64kdump.img
The ifcfg-vnet0 or ifcfg-xxx which contains DEVICE=vnet0 field doesn't exist.
Failed to run mkdumprd
Starting kdump:                                            [FAILED]

Verify the bug on:
[root@dhcp-11-59 ~]# service kdump restart
Stopping kdump:                                            [  OK  ]
Detected change(s) the following file(s):

Rebuilding /boot/initrd-2.6.32-573.20.1.el6.x86_64kdump.img
Starting kdump:                                            [  OK  ]
Comment 7 errata-xmlrpc 2016-03-22 11:28:17 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.